bdi4jade.belief

## Class TransientBelief<T>

- java.lang.Object
- - bdi4jade.util.MetadataElement
  - - bdi4jade.belief.Belief<T>
    - - bdi4jade.belief.TransientBelief<T>

- All Implemented Interfaces:
    jade.content.Concept, jade.content.Term, java.io.Serializable
  Direct Known Subclasses:
    SoftgoalPreferences

      public class TransientBelief<T>
      extends Belief<T>
      implements java.io.Serializable, jade.content.Concept

  This class extends the `Belief` and represents a transient belief, which is not persisted in a permanent memory.
  Author:
    ingrid
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransientBelief(java.lang.String name)` Initializes a belief with its name.
    `TransientBelief(java.lang.String name, T value)` Initializes a belief with its name and a initial value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getValue()` Gets the current value of the Belief.
    `void` | `setValue(T value)` Sets a new value to the belief.

    - ### Methods inherited from class bdi4jade.belief.Belief

      `addBeliefBase, equals, getBeliefBases, getName, hashCode, removeBeliefBase, toString`

    - ### Methods inherited from class bdi4jade.util.MetadataElement

      `getMetadata, getMetadata, hasMetadata, putMetadata, removeMetadata`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransientBelief

          public TransientBelief(java.lang.String name)

      Initializes a belief with its name.
      Parameters:
        `name` - the belief name.

    - #### TransientBelief

          public TransientBelief(java.lang.String name,
                         T value)

      Initializes a belief with its name and a initial value.
      Parameters:
        `name` - the belief name.
        `value` - the initial belief value.

  - ### Method Detail

    - #### getValue

          public T getValue()

      Description copied from class: `Belief`
      Gets the current value of the Belief.
      Specified by:
        `getValue` in class `Belief<T>`
      Returns:
        the belief value.
      See Also:
        `Belief.getValue()`

    - #### setValue

          public void setValue(T value)

      Description copied from class: `Belief`
      Sets a new value to the belief.
      Specified by:
        `setValue` in class `Belief<T>`
      Parameters:
        `value` - the new value.
      See Also:
        `Belief.setValue(java.lang.Object)`